/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:06pm
Filepath: scripts\Items\Skill Items\Blacksmith Items\Misc\AnvilForge.cs
Lines of code: 96

Description: 

***********************************************************/


using System;

namespace Server.Items
{
	[FlipableAttribute( 0xFAF, 0xFB0 )]
	[Server.Engines.Craft.Anvil]
	public class Anvil : Item
	{
		[Constructable]
		public Anvil() : base( 0xFAF )
		{
			Movable = false;
		}

		public Anvil( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	[Server.Engines.Craft.Forge]
	public class Forge : Item
	{
		[Constructable]
		public Forge() : base( 0xFB1 )
		{
			Movable = false;
		}

		public Forge( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
	
	
	[FlipableAttribute( 0xFAF, 0xFB0 )]
	[Server.Engines.Craft.Anvil]
	public class PortableAnvil : Item
	{
		[Constructable]
		public PortableAnvil() : base( 0xFAF )
		{
			Movable = true;
			LootType = LootType.Blessed;
		}

		public PortableAnvil( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	[Server.Engines.Craft.Forge]
	public class PortableForge : Item
	{
		[Constructable]
		public PortableForge() : base( 0xFB1 )
		{
			Movable = true;
			LootType = LootType.Blessed;
		}

		public PortableForge( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}	
	
	

	
	
}